You are viewing a plain text version of this content. The canonical link for it is here.
Posted to axis-cvs@ws.apache.org by pi...@apache.org on 2006/09/28 07:02:38 UTC

svn commit: r450695 - in /webservices/axis2/trunk/c: rampart/samples/ woden/samples/ xml_schema/samples/

Author: pini
Date: Wed Sep 27 22:02:37 2006
New Revision: 450695

URL: http://svn.apache.org/viewvc?view=rev&rev=450695
Log:
Fix for jira 250

Added:
    webservices/axis2/trunk/c/rampart/samples/AUTHORS
    webservices/axis2/trunk/c/rampart/samples/ChangeLog
    webservices/axis2/trunk/c/rampart/samples/NEWS
    webservices/axis2/trunk/c/rampart/samples/README
    webservices/axis2/trunk/c/rampart/samples/autogen.sh   (with props)
    webservices/axis2/trunk/c/rampart/samples/configure.ac
    webservices/axis2/trunk/c/woden/samples/AUTHORS
    webservices/axis2/trunk/c/woden/samples/ChangeLog
    webservices/axis2/trunk/c/woden/samples/NEWS
    webservices/axis2/trunk/c/woden/samples/README
    webservices/axis2/trunk/c/woden/samples/autogen.sh   (with props)
    webservices/axis2/trunk/c/woden/samples/configure.ac
    webservices/axis2/trunk/c/xml_schema/samples/AUTHORS
    webservices/axis2/trunk/c/xml_schema/samples/ChangeLog
    webservices/axis2/trunk/c/xml_schema/samples/NEWS
    webservices/axis2/trunk/c/xml_schema/samples/README
    webservices/axis2/trunk/c/xml_schema/samples/autogen.sh   (with props)
    webservices/axis2/trunk/c/xml_schema/samples/configure.ac

Added: webservices/axis2/trunk/c/rampart/samples/AUTHORS
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/rampart/samples/AUTHORS?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/rampart/samples/ChangeLog
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/rampart/samples/ChangeLog?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/rampart/samples/NEWS
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/rampart/samples/NEWS?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/rampart/samples/README
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/rampart/samples/README?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/rampart/samples/autogen.sh
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/rampart/samples/autogen.sh?view=auto&rev=450695
==============================================================================
--- webservices/axis2/trunk/c/rampart/samples/autogen.sh (added)
+++ webservices/axis2/trunk/c/rampart/samples/autogen.sh Wed Sep 27 22:02:37 2006
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+echo -n 'Running libtoolize...'
+if libtoolize --force > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running aclocal...'
+if aclocal > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoheader...'
+if autoheader > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoconf...'
+if autoconf > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running automake...'
+if automake --add-missing > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo 'done'

Propchange: webservices/axis2/trunk/c/rampart/samples/autogen.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: webservices/axis2/trunk/c/rampart/samples/configure.ac
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/rampart/samples/configure.ac?view=auto&rev=450695
==============================================================================
--- webservices/axis2/trunk/c/rampart/samples/configure.ac (added)
+++ webservices/axis2/trunk/c/rampart/samples/configure.ac Wed Sep 27 22:02:37 2006
@@ -0,0 +1,63 @@
+dnl run autogen.sh to generate the configure script.
+
+AC_PREREQ(2.59)
+
+AC_INIT(wodenc-samples-src, 0.93)
+AC_CANONICAL_SYSTEM
+AM_CONFIG_HEADER(config.h)
+AM_INIT_AUTOMAKE([tar-ustar])
+AC_PREFIX_DEFAULT(/usr/local/wodenc/samples)
+
+dnl Checks for programs.
+AC_PROG_CC
+AC_PROG_CXX
+AC_PROG_CPP
+AM_PROG_LIBTOOL
+AC_PROG_INSTALL
+AC_PROG_LN_S
+AC_PROG_MAKE_SET
+
+dnl Checks for libraries.
+AC_CHECK_LIB(dl, dlopen)
+
+CFLAGS="$CFLAGS -D_LARGEFILE64_SOURCE"
+if test "$GCC" = "yes"; then
+    CFLAGS="$CFLAGS -ansi -Wall -Wno-implicit-function-declaration"
+fi
+LDFLAGS="-lpthread"
+
+dnl Checks for header files.
+AC_HEADER_STDC
+AC_CHECK_HEADERS([stdio.h stdlib.h string.h])
+
+dnl Checks for typedefs, structures, and compiler characteristics.
+AC_C_CONST
+
+dnl Checks for library functions.
+AC_FUNC_MALLOC
+AC_FUNC_REALLOC
+#AC_CHECK_FUNCS([memmove])
+
+
+AXIOMINC=$axiominc
+UTILINC=$axis2_utilinc
+XMLSCHEMAINC=$axis2_xml_schemainc
+
+AC_SUBST(AXIOMINC)
+AC_SUBST(UTILINC)
+AC_SUBST(XMLSCHEMAINC)
+AC_SUBST(TESTDIR)
+AC_SUBST(PARSER_DIR)
+
+AC_CONFIG_FILES([Makefile \
+        callback/Makefile \
+        client/Makefile
+        client/enc_echo/Makefile \
+        client/enc_echo/data/Makefile \
+        client/enc_echo/keys/Makefile \
+        client/echo/Makefile \
+        client/echo/data/Makefile
+
+    ])
+    
+AC_OUTPUT

Added: webservices/axis2/trunk/c/woden/samples/AUTHORS
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/woden/samples/AUTHORS?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/woden/samples/ChangeLog
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/woden/samples/ChangeLog?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/woden/samples/NEWS
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/woden/samples/NEWS?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/woden/samples/README
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/woden/samples/README?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/woden/samples/autogen.sh
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/woden/samples/autogen.sh?view=auto&rev=450695
==============================================================================
--- webservices/axis2/trunk/c/woden/samples/autogen.sh (added)
+++ webservices/axis2/trunk/c/woden/samples/autogen.sh Wed Sep 27 22:02:37 2006
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+echo -n 'Running libtoolize...'
+if libtoolize --force > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running aclocal...'
+if aclocal > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoheader...'
+if autoheader > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoconf...'
+if autoconf > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running automake...'
+if automake --add-missing > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo 'done'

Propchange: webservices/axis2/trunk/c/woden/samples/autogen.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: webservices/axis2/trunk/c/woden/samples/configure.ac
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/woden/samples/configure.ac?view=auto&rev=450695
==============================================================================
--- webservices/axis2/trunk/c/woden/samples/configure.ac (added)
+++ webservices/axis2/trunk/c/woden/samples/configure.ac Wed Sep 27 22:02:37 2006
@@ -0,0 +1,56 @@
+dnl run autogen.sh to generate the configure script.
+
+AC_PREREQ(2.59)
+
+AC_INIT(wodenc-samples-src, 0.93)
+AC_CANONICAL_SYSTEM
+AM_CONFIG_HEADER(config.h)
+AM_INIT_AUTOMAKE([tar-ustar])
+AC_PREFIX_DEFAULT(/usr/local/wodenc/samples)
+
+dnl Checks for programs.
+AC_PROG_CC
+AC_PROG_CXX
+AC_PROG_CPP
+AM_PROG_LIBTOOL
+AC_PROG_INSTALL
+AC_PROG_LN_S
+AC_PROG_MAKE_SET
+
+dnl Checks for libraries.
+AC_CHECK_LIB(dl, dlopen)
+
+CFLAGS="$CFLAGS -D_LARGEFILE64_SOURCE"
+if test "$GCC" = "yes"; then
+    CFLAGS="$CFLAGS -ansi -Wall -Wno-implicit-function-declaration"
+fi
+LDFLAGS="-lpthread"
+
+dnl Checks for header files.
+AC_HEADER_STDC
+AC_CHECK_HEADERS([stdio.h stdlib.h string.h])
+
+dnl Checks for typedefs, structures, and compiler characteristics.
+AC_C_CONST
+
+dnl Checks for library functions.
+AC_FUNC_MALLOC
+AC_FUNC_REALLOC
+#AC_CHECK_FUNCS([memmove])
+
+
+AXIOMINC=$axiominc
+UTILINC=$axis2_utilinc
+XMLSCHEMAINC=$axis2_xml_schemainc
+
+AC_SUBST(AXIOMINC)
+AC_SUBST(UTILINC)
+AC_SUBST(XMLSCHEMAINC)
+AC_SUBST(TESTDIR)
+AC_SUBST(PARSER_DIR)
+
+AC_CONFIG_FILES([Makefile \
+       wsdl10/Makefile
+    ])
+    
+AC_OUTPUT

Added: webservices/axis2/trunk/c/xml_schema/samples/AUTHORS
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/xml_schema/samples/AUTHORS?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/xml_schema/samples/ChangeLog
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/xml_schema/samples/ChangeLog?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/xml_schema/samples/NEWS
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/xml_schema/samples/NEWS?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/xml_schema/samples/README
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/xml_schema/samples/README?view=auto&rev=450695
==============================================================================
    (empty)

Added: webservices/axis2/trunk/c/xml_schema/samples/autogen.sh
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/xml_schema/samples/autogen.sh?view=auto&rev=450695
==============================================================================
--- webservices/axis2/trunk/c/xml_schema/samples/autogen.sh (added)
+++ webservices/axis2/trunk/c/xml_schema/samples/autogen.sh Wed Sep 27 22:02:37 2006
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+echo -n 'Running libtoolize...'
+if libtoolize --force > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running aclocal...'
+if aclocal > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoheader...'
+if autoheader > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running autoconf...'
+if autoconf > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo -n 'Running automake...'
+if automake --add-missing > /dev/null 2>&1; then
+	echo 'done.'
+else
+	echo 'failed.'
+	exit 1
+fi
+
+echo 'done'

Propchange: webservices/axis2/trunk/c/xml_schema/samples/autogen.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: webservices/axis2/trunk/c/xml_schema/samples/configure.ac
URL: http://svn.apache.org/viewvc/webservices/axis2/trunk/c/xml_schema/samples/configure.ac?view=auto&rev=450695
==============================================================================
--- webservices/axis2/trunk/c/xml_schema/samples/configure.ac (added)
+++ webservices/axis2/trunk/c/xml_schema/samples/configure.ac Wed Sep 27 22:02:37 2006
@@ -0,0 +1,55 @@
+dnl run autogen.sh to generate the configure script.
+
+AC_PREREQ(2.59)
+
+AC_INIT(xml_schema-samples-src, 0.93)
+AC_CANONICAL_SYSTEM
+AM_CONFIG_HEADER(config.h)
+AM_INIT_AUTOMAKE([tar-ustar])
+AC_PREFIX_DEFAULT(/usr/local/xml_scheam/samples)
+
+dnl Checks for programs.
+AC_PROG_CC
+AC_PROG_CXX
+AC_PROG_CPP
+AM_PROG_LIBTOOL
+AC_PROG_INSTALL
+AC_PROG_LN_S
+AC_PROG_MAKE_SET
+
+dnl Checks for libraries.
+AC_CHECK_LIB(dl, dlopen)
+
+CFLAGS="$CFLAGS -D_LARGEFILE64_SOURCE"
+if test "$GCC" = "yes"; then
+    CFLAGS="$CFLAGS -ansi -Wall -Wno-implicit-function-declaration"
+fi
+LDFLAGS="-lpthread"
+
+dnl Checks for header files.
+AC_HEADER_STDC
+AC_CHECK_HEADERS([stdio.h stdlib.h string.h])
+
+dnl Checks for typedefs, structures, and compiler characteristics.
+AC_C_CONST
+
+dnl Checks for library functions.
+AC_FUNC_MALLOC
+AC_FUNC_REALLOC
+#AC_CHECK_FUNCS([memmove])
+
+
+AXIOMINC=$axiominc
+UTILINC=$axis2_utilinc
+XMLSCHEMAINC=$axis2_xml_schemainc
+
+AC_SUBST(AXIOMINC)
+AC_SUBST(UTILINC)
+AC_SUBST(XMLSCHEMAINC)
+AC_SUBST(TESTDIR)
+AC_SUBST(PARSER_DIR)
+
+AC_CONFIG_FILES([Makefile
+    ])
+    
+AC_OUTPUT



---------------------------------------------------------------------
To unsubscribe, e-mail: axis-cvs-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-cvs-help@ws.apache.org